org.multiverse.stms.gamma.transactionalobjects

## Interface GammaObject

All Superinterfaces:
  GammaConstants, MultiverseConstants

All Known Implementing Classes:
  AbstractGammaObject, BaseGammaTxnRef, GammaTxnBoolean, GammaTxnDouble, GammaTxnInteger, GammaTxnLong, GammaTxnRef

    public interface GammaObject
    extends GammaConstants

### Field Summary

### Fields inherited from interface org.multiverse.stms.gamma.GammaConstants

`FAILURE, MASK_CONFLICT, MASK_SUCCESS, MASK_UNREGISTERED, REGISTRATION_DONE, REGISTRATION_NONE, REGISTRATION_NOT_NEEDED, TRANLOCAL_COMMUTING, TRANLOCAL_CONSTRUCTING, TRANLOCAL_READ, TRANLOCAL_WRITE, TRANSACTIONTYPE_FAT_FIXED_LENGTH, TRANSACTIONTYPE_FAT_MONO, TRANSACTIONTYPE_FAT_VARIABLE_LENGTH, TRANSACTIONTYPE_LEAN_FIXED_LENGTH, TRANSACTIONTYPE_LEAN_MONO, TX_ABORTED, TX_ACTIVE, TX_COMMITTED, TX_PREPARED, TYPE_BOOLEAN, TYPE_DOUBLE, TYPE_INT, TYPE_LONG, TYPE_REF, VERSION_UNCOMMITTED`

### Fields inherited from interface org.multiverse.MultiverseConstants

`LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

### Method Summary

Methods
`Lock` `getLock()`
`GammaStm` `getStm()`
`long` `getVersion()`
`int` `identityHashCode()`

### Method Detail

#### getVersion

    long getVersion()

#### getStm

    GammaStm getStm()

#### getLock

    Lock getLock()

#### identityHashCode

    int identityHashCode()